AbstractFirstResultSerialDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.delegate
Class AbstractFirstResultSerialDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.AbstractSerialDelegatingDefinitionParser
                  org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  AbstractSingleParentFamilyDefinitionParser, ConnectionFactoryDefinitionParser

    public class AbstractFirstResultSerialDefinitionParser

extends AbstractSerialDelegatingDefinitionParser

Extend `AbstractSerialDelegatingDefinitionParser` to return the first definition as the final result

Field Summary
`protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `firstDefinition`

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`logger`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`AbstractFirstResultSerialDefinitionParser()`
`AbstractFirstResultSerialDefinitionParser(boolean doReset)`

Method Summary
`protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `doSingleBean(int index, MuleDefinitionParser parser, Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
`void` | `setReturnFirstResult(boolean returnFirstResult)`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractSerialDelegatingDefinitionParser
`addDelegate, addHandledException, disableAttribute, disableAttributes, disableAttributes, enableAttribute, enableAttributes, enableAttributes, enableAttributes, isExceptionHandled, muleParse, resetAttribute, resetNameAndId`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, getBeanName, getDelegate, parseInternal, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Field Detail

### firstDefinition

    protected org.springframework.beans.factory.support.AbstractBeanDefinition firstDefinition

Constructor Detail

### AbstractFirstResultSerialDefinitionParser

    public AbstractFirstResultSerialDefinitionParser()

### AbstractFirstResultSerialDefinitionParser

    public AbstractFirstResultSerialDefinitionParser(boolean doReset)

Method Detail

### setReturnFirstResult

    public void setReturnFirstResult(boolean returnFirstResult)

### doSingleBean

    protected org.springframework.beans.factory.support.AbstractBeanDefinition doSingleBean(int index,
                                                                                            MuleDefinitionParser parser,
                                                                                            Element element,
                                                                                            org.springframework.beans.factory.xml.ParserContext parserContext)

  Overrides:
    `doSingleBean` in class `AbstractSerialDelegatingDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.